## org.apache.commons.collections.functors
Class PredicateTransformer

    java.lang.Object
      org.apache.commons.collections.functors.PredicateTransformer

All Implemented Interfaces:
  Serializable, Transformer

public class PredicateTransformer
extends Object
implements Transformer, Serializable

Transformer implementation that calls a Predicate using the input object and then returns the input.

Since:
  Commons Collections 3.0
Version:
  $Revision: 1.5 $ $Date: 2004/05/16 11:36:31 $
Author:
  Stephen Colebourne
See Also:
  Serialized Form

Constructor Summary
`PredicateTransformer(Predicate predicate)` Constructor that performs no validation.

Method Summary
`static Transformer` `getInstance(Predicate predicate)` Factory method that performs validation.
`Predicate` `getPredicate()` Gets the predicate.
`Object` `transform(Object input)` Transforms the input to result by calling a predicate.

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### PredicateTransformer

    public PredicateTransformer(Predicate predicate)

  Constructor that performs no validation. Use `getInstance` if you want that.

Parameters:
  `predicate` - the predicate to call, not null

Method Detail

### getInstance

    public static Transformer getInstance(Predicate predicate)

  Factory method that performs validation.

  Parameters:
    `predicate` - the predicate to call, not null
  Returns:
    the `predicate` transformer
  Throws:
    `IllegalArgumentException` - if the predicate is null

### transform

    public Object transform(Object input)

  Transforms the input to result by calling a predicate.

  Specified by:
    `transform` in interface `Transformer`
  Parameters:
    `input` - the input object to transform
  Returns:
    the transformed result

### getPredicate

    public Predicate getPredicate()

  Gets the predicate.

  Returns:
    the predicate
  Since:
    Commons Collections 3.1

Copyright © 2001-2005 Apache Software Foundation. All Rights Reserved.